Support » Plugin: Revive Old Posts - Social Media Auto Post and Scheduling Plugin » PHP 7.2.x – PHP warning for count()

  • Resolved Toru Miki

    (@toru)


    Hi,

    Thank you for developing this plugin. During migrating our site to a new server, I came across following PHP warning.

    PHP Warning: count(): Parameter must be an array or an object that implements Countable in /pasth/to/the/site/wp-content/plugins/tweet-old-post/inc/core.php on line 65

    The old server is on PHP 5.4.x, but the new one is on PHP 7.2.4. I understand that this is related to the following change from PHP 7.2.

    https://wiki.php.net/rfc/counting_non_countables

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Contributor Uriahs Victor

    (@uriahs-victor)

    Hi there, please try updating to the latest version of ROP to see if this issue still exists

    Hi Uriahs,

    Thank you for a quick response! I checked on my local environment and production environment, and seems to get no error. Yes, look fixed.

    I now realized I was using a slightly old version of the plugin, because it was an old UI. Though I kept all plugins up-to-date, and I never saw any notifications for this plugin… anyways it is solved.

    Regards,
    Toru

    • This reply was modified 1 year, 7 months ago by Toru Miki.
    Plugin Support Poonam Namdev

    (@poonam9)

    Glad to hear you got it working.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘PHP 7.2.x – PHP warning for count()’ is closed to new replies.